0.7.5 to 1.4.9 firmware upgrade??

Pedro Estrela pedro.estrela at inesc.pt
Tue Oct 15 07:52:21 EDT 2002


> > I'd like to know if it is possible/recommended to upgrade
> > them to a newer firmware (i.e. 1.4.9) or it would be
> > better to stick with the one it has now.
>
> If it isn't broken, why fix it.. I haven't seen 1.4.9 f/w for old Prism2
> cards (HFA3841). The latest version I have tested with such card is
> 1.3.4. Newer images might be available, but it might require some
> searching.

In my case, I'm only trying the latest firmware to test all possibilities
before asking the list of my __real__ prism2 problem.
Currently, with secondary 0.8.0 firmware (the most recent that compaq
provides), I'm getting a massive amount of INFDROP events, under very high
load conditions that I test IP DiffServ Quality of Service Traffic Control
in 802.11 Downstream. (this traffic is generated in UDP, creating much more
traffic than a flood ping).
Also, related to this problem, when these continous INFDROP events happen, I
can't get new stations associated to the AP, as the ASSOC frame doesn't seem
to get transmitted. This causes the station to send ASSOC frame every X
seconds in a loop. Unfortunatelly, I also need Associations under these very
high loads, to test both 802.11 handover and IP level handover (check
http://wuarchive.wustl.edu/doc/internet-drafts/draft-estrela-timip-00.txt.Z
or http://tenet.knu.ac.kr/research/seminar/jwkim_020712.ppt)

However, i'm trying the latest firmwares for my old PCMCIA cards, to check
if the situation improves before i try to rate-limit/packet-limit
transmissions in the driver.

Pedro Estrela




More information about the HostAP mailing list